Package org.apache.jorphan.reflect

# Class IgnoreServiceLoadExceptionHandler

java.lang.Object
org.apache.jorphan.reflect.IgnoreServiceLoadExceptionHandler

All Implemented Interfaces:
  `ServiceLoadExceptionHandler<Object>`

public class IgnoreServiceLoadExceptionHandler extends Object implements ServiceLoadExceptionHandler<Object>
Ignores all failures.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IgnoreServiceLoadExceptionHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Class<?> service, String className, Throwable throwable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IgnoreServiceLoadExceptionHandler

    public IgnoreServiceLoadExceptionHandler()

- ## Method Details

  - ### handle

    public void handle(Class<?> service, String className, Throwable throwable)
    Specified by:
      `handle` in interface `ServiceLoadExceptionHandler<Object>`